Error while installing new plugins

Post here questions and problems related to editing and publishing DITA content.
Nadia
Posts: 3
Joined: Wed Jun 22, 2022 10:29 am

Error while installing new plugins

Post by Nadia »

Hello,
I try to install some plugins using a command prompt but I meet the same error every time: no protocol. I can't get what's wrong and how I can fix it. Can you help me, please?
I use DITA-OT 2.5.4, Oxygen XML WebHelp 20.0-SNAPSHOT build 2018042310 with license version: 21, Oxygen XML Author 20.0 and jre1.8.0_333.
This is what I get:

Code: Select all

C:\GIT\...\...\DITA-OT2.x\bin>dita -d -install com.oxygenxml.codeblock-tabs
Unable to locate tools.jar. Expected to find it in C:\Program Files\Java\jre1.8.0_333\lib\tools.jar
Searching for integrator.xml ...
Buildfile: C:\GIT\...\...\DITA-OT2.x\integrator.xml
Detected Java version: 1.8 in: C:\Program Files\Java\jre1.8.0_333
Detected OS: Windows 11
parsing buildfile C:\GIT\...\...\DITA-OT2.x\integrator.xml with URI = file:/C:/GIT/.../.../DITA-OT2.x/integrator.xml
Project base dir set to: C:\GIT\...\...\DITA-OT2.x
parsing buildfile jar:file:/C:/GIT/.../../DITA-OT2.x/lib/ant.jar!/org/apache/tools/ant/antlib.xml with URI = jar:file:/C:/GIT/.../.../DITA-OT2.x/lib/ant.jar!/org/apache/tools/ant/antlib.xml from a zip file
dropping C:\GIT\...\...\DITA-OT2.x\lib\commons-io-2.4.jar from path as it doesn't exist
Build sequence for target(s) `install' is [install.init, install.local, install.download, install]
Complete build sequence is [install.init, install.local, install.download, install, install.move, uninstall, uninstall.delete, integrate, lax, strict, ]

install.init:
[available] Unable to find com.oxygenxml.codeblock-tabs to set property install.file.exists
    [mkdir] Created dir: C:\GIT\...\...\DITA-OT2.x\temp\temp20220622103657218

install.local:
Skipped because property 'install.file.exists' not set.

install.download:
Error: no protocol: com.oxygenxml.codeblock-tabs

C:\GIT\...\...\DITA-OT2.x\bin>
Thank you,
Nadia
Radu
Posts: 8092
Joined: Fri Jul 09, 2004 5:18 pm

Re: Error while installing new plugins

Post by Radu »

Hi Nadia,

Installing a plugin in the way you are attempting works only if the DITA OT plugin is in the official DITA OT plugins registry:
http://plugins.dita-ot.org/

And most of our plugins were not added to the official DITA OT plugins registry.

So you need to perform manual plugin installation, download the plugin's Github project:
https://github.com/oxygenxml/dita-wh-co ... master.zip

take the folder "com.oxygenxml.codeblock-tabs", copy it to the "dita-ot/plugins" folder and then run "dita -i" to integrate the new plugin.
I do not guarantee the plugin will work with DITA OT 2.5.4 and the WebHelp plugin specific for it, I tested it I think about 2-3 months ago with DITA OT 3.7 and the WebHelp plugin bundled with Oxygen 24.1.

Regards,
Radu
Radu Coravu
<oXygen/> XML Editor
http://www.oxygenxml.com
Nadia
Posts: 3
Joined: Wed Jun 22, 2022 10:29 am

Re: Error while installing new plugins

Post by Nadia »

Hi Radu,

Thank you. Yeah, I forgot to add that I added this plugin manually in the same way you said and then run dita -integrate.
I thought maybe I forgot to install something else or missed some steps :(

Regards,
Nadia
Post Reply